Subject: Re: How do I access nvRAM from user space?

From: "yanjun.luo" <[email-masked]>
Date: Thu, 25 Sep 2008 13:45:06 +0800

Hi Bruce,
You can use mmap to access NVRAM from user space, but you should config 
local bus first, like width, speed etc.

Regards,
Yanjun Luo.

发件人： [email-masked] 
发送时间： 2008-09-25  11:44:56 
收件人： [email-masked] 
抄送： 
主题： How do I access nvRAM from user space? 
 
Sorry for the dumb question, I just can figure out the right google search 
to find what I'm trying to do.  I'm running 2.6.27-rc4 on an mpc8347 with 
a 32KiB nvSRAM (Cypress CY14B256L) on the local bus.  We just want to be 
able to access this memory from user space seperately from "main" memory. 
We've got a process that needs to be able to remember info through power 
cycles.  Can anyone point me to an article or some code snippet that does 
something like this so I can sink my teeth into it?
Bruce
_______________________________________________
Linuxppc-embedded mailing list
[email-masked]
https://ozlabs.org/mailman/listinfo/linuxppc-embedded